/*----------------------------------------------------------------------------*/
/* Includes                                                                   */
/*----------------------------------------------------------------------------*/
#include "DrvI2C.h"
#include "DrvHWI2C.h"
#include "HY2613.h"
#include "seg7.h"
extern int  nu,key_ck;
/*--------------------------------------------------------------------------*/
/* Clear LCD RAM Data                                                       */
/*--------------------------------------------------------------------------*/
void ClearLCDframe(void)
{
  int i=0;
  for(i=0;i<11;i++)
  {
    DisplayBuffer[i]=0x00;
  }
  RAM2LCD(DisplayBuffer,11);
}

/*----------------------------------------------------------------------------*/
/* Display HYcon Char                                                         */
/*----------------------------------------------------------------------------*/
void DisplayHYcon(void)
{
  #define offset 2
  DisplayBuffer[offset+0]=0x00;
  DisplayBuffer[offset+1]=Char_H;
  DisplayBuffer[offset+2]=Char_Y;
  DisplayBuffer[offset+3]=Char_c;
  DisplayBuffer[offset+4]=Char_o;
  DisplayBuffer[offset+5]=Char_n;
  RAM2LCD(DisplayBuffer,11);
}

/*--------------------------------------------------------------------*/
/* LCD RAM Data                                                       */
/*--------------------------------------------------------------------*/
void LCD_DATA_DISPLAY(unsigned int LcdBuffer)		//ܿ
{
  int i;
  for(i=7;i>=2;i--)
  {
	  DisplayBuffer[i]=seg[LcdBuffer%10];
	  LcdBuffer=LcdBuffer/10;
  }

  if(nu==1) DisplayBuffer[8]=S_Minus;				//t
  else DisplayBuffer[8]=0x00;

  	  DisplayBuffer[9]=S_V;							//qV
	  DisplayBuffer[4]=DisplayBuffer[4]|seg_h;		//pI
	  DisplayBuffer[10]=0x00;
	  DisplayBuffer[1]=0x00;
	  RAM2LCD(DisplayBuffer,11);
}
void LCD_DATA_DISPLAY1(unsigned int LcdBuffer)
{
	int i;
	for(i=7;i>=3;i--)
	{
		DisplayBuffer[i]=seg[LcdBuffer%10];
		LcdBuffer=LcdBuffer/10;
	}
	if(nu==1) DisplayBuffer[8]=S_Minus;				//t
	else DisplayBuffer[8]=0x00;

	DisplayBuffer[9]=S_A;								//qyA
	DisplayBuffer[10]=0x00;
	DisplayBuffer[1]=0x00;
	DisplayBuffer[2]=0x00;
	DisplayBuffer[8]=DisplayBuffer[8]|S_m1;			//m
	DisplayBuffer[6]=DisplayBuffer[6]|seg_h;			//pI
	RAM2LCD(DisplayBuffer,11);
}
void LCD_DATA_DISPLAY2(unsigned int LcdBuffer)
{
	  DisplayBuffer[2]=0x00;
	  DisplayBuffer[3]=0x00;
	  DisplayBuffer[4]=0x00;
	  DisplayBuffer[10]=0x00;
	  DisplayBuffer[5]=0x00;
	  DisplayBuffer[8]=0x00;
	if(key_ck==1)
	{
		DisplayBuffer[6]=seg[2];				//20V
		DisplayBuffer[7]=seg[0];
		DisplayBuffer[9]=S_V;

	}
	if(key_ck==2)
	{
		DisplayBuffer[5]=seg[1];				//110mA
		DisplayBuffer[6]=seg[1];
		DisplayBuffer[7]=seg[0];
		DisplayBuffer[8]=S_m1;
		DisplayBuffer[9]=S_A;
	}
	if(key_ck==0)								//HYCON
	{
		 DisplayBuffer[2]=0xe2;//h
		 DisplayBuffer[3]=0xd6;//y
		 DisplayBuffer[4]=0x70;//c
		 DisplayBuffer[5]=0x72;//o
		 DisplayBuffer[6]=0x62;//n
		 DisplayBuffer[7]=0x00;//n
		 DisplayBuffer[9]=0x00;
	}

  RAM2LCD(DisplayBuffer,11);
}
